This Help forum is for issues relates to the latest release (1.7.10/11). For issues related to beta or github version please use their own Help forum.
Before asking for help please read "How to request help" by clicking on that tab above here."

TOPIC: webtrees 1.7.10

webtrees 1.7.10 2 months 3 days ago #1

  • Peter_S
  • Peter_S's Avatar
  • Offline
  • Junior
  • Posts: 106
Hello Greg,

today, webtrees version 1.7.10 has been released. What are the differences to version 1.7.9?

What about the announced version 2.0?

Best regards
Peter
webtrees 1.7.10
PHP 7.0.14, MySQL 5.6.33
Webhosting: all-inkl.com
The administrator has disabled public write access.

webtrees 1.7.10 2 months 2 days ago #2

  • ungeahnt
  • ungeahnt's Avatar
  • Offline
  • New
  • Posts: 13
see here: www.webtrees.net/index.php/en/forum/2-op...a-1-and-1-7-10#67760
(#1: last paragraph):

I have also created a 1.7.10 release. github.com/fisharebest/webtrees/releases.../webtrees-1.7.10.zi
This adds compatibility for MySQL 8.0, and PHP 7.1 and 7.2. Note that some of the third-party libraries will not work with PHP 7.1 (e.g. the .ZIP library). It also updates some of the language files. There were also a few minor security fixes.
webtrees V1.7.11 | PHP Version 7.0.31 | MySQL 5.5.52
Strato Webhosting SunOS 5.10 i86pc
Schmidt ⚭ Schwab (Sudetenland) | Hauer ⚭ Bühler (Bayern / BW) | Маринов ⚭ Шаламанова (BG)
Last Edit: 2 months 2 days ago by ungeahnt.
The administrator has disabled public write access.

webtrees 1.7.10 1 month 2 weeks ago #3

  • trejder
  • trejder's Avatar
  • Offline
  • New
  • Posts: 89
Two questions:
Note that some of the third-party libraries will not work with PHP 7.1 (e.g. the .ZIP library)

1. Is it confirmed that we should ignore message encouraging us to go with automated updater and perform manual upgrade to 1.7.10 (due to mentioned bug in ZIP library)?

2. What about webtrees 2.0? Any estimates on time on release? I'm asking, because I want to do some minor tweaks to source code that might be interesting to others and I don't know, whether to build them based on "stable" version (1.7.10) or wait for a "complete revolution" (2.0). There were nearly two years between 1.7.9 and 1.7.10, so I'd like to ask, whether we should rather assume "few months" or "few years" for 2.0?
The administrator has disabled public write access.
Powered by Kunena Forum